Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class ExpressionParser.ForClause

    java.lang.Object
      net.sf.saxon.expr.ExpressionParser.ForClause

All Implemented Interfaces:
  ExpressionParser.FLWORClause

Enclosing class:
  ExpressionParser

    public static class ExpressionParser.ForClause

extends Object
implements ExpressionParser.FLWORClause

Field Summary
`boolean` | `isOuterFor`
`int` | `offset`
`PositionVariable` | `positionVariable`
`Assignation` | `rangeVariable`
`SequenceType` | `requiredType`
`Expression` | `sequence`

Constructor Summary
`ExpressionParser.ForClause()`

Method Summary
`int` | `numberOfRangeVariables()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rangeVariable

    public Assignation rangeVariable

### positionVariable

    public PositionVariable positionVariable

### sequence

    public Expression sequence

### requiredType

    public SequenceType requiredType

### offset

    public int offset

### isOuterFor

    public boolean isOuterFor

Constructor Detail

### ExpressionParser.ForClause

    public ExpressionParser.ForClause()

Method Detail

### numberOfRangeVariables

    public int numberOfRangeVariables()

  Specified by:
    `numberOfRangeVariables` in interface `ExpressionParser.FLWORClause`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.